/* find the device: */
#define USB_VENDOR 0x16C0
#define USB_PRODUCT 0x05DC
#define USB_MANUF_STRING "www.tahina.priv.at"
#define USB_PRODUCT_STRING "Sensor"

#define VREQ_ECHO 0
#define VREQ_POLL 1
#define VREQ_READ 2
#define VREQ_STAT 3

#define STRINGSZ 256

struct sensor_pkt {
  uint8_t device_id;
  uint8_t sequence;
  //uint16_t data[3];
  uint16_t temp;
  uint16_t humid;
  uint16_t vcc;
} __attribute__ ((packed));

#define raw2voltage(raw) (1.10 / ((raw)/1024.0))

#define PATH_CRICKETF "/tmp/sensor.cricket"
