#define F_CPU 1000000UL

/*

hardware setup:

PB0 in  testmode jumper -> GND
PB1 out transmitter data input
PB2 i/o SHTxx data
PB3 out transmitter enable (active high)
PB4 i/o SHTxx SCK

*/

#define TESTMODE (!(PINB & _BV(PB0)))
#define XMIT_ON  PORTB |= _BV(PB3)
#define XMIT_OFF PORTB &= ~(_BV(PB3))
#define XMIT_1   PORTB |= _BV(PB1)
#define XMIT_0   PORTB &= ~(_BV(PB1))

#define SHT_SCK_PIN PB4
#define SHT_DATA_PIN PB2
#define SHT_SCK_PORT B
#define SHT_DATA_PORT B
